#include "PerfCounter.h"

void Monitel::MathNative::Tools::PerfCounter::Start()
{
	_start.QuadPart = 0;
	QueryPerformanceCounter(&_start);

}
float Monitel::MathNative::Tools::PerfCounter::Stop()
{
	LARGE_INTEGER finish;
	finish.QuadPart = 0;
	QueryPerformanceCounter(&finish);
	LARGE_INTEGER freq;
	freq.QuadPart = 0;
	QueryPerformanceFrequency(&freq);

	return (((finish.QuadPart - _start.QuadPart) / (float)freq.QuadPart));
}
	